Name: ed
Version: 0.2
Release: alt2
Serial: 1

Summary: The GNU line editor
License: GPL
Group: Text tools
Url: ftp://ftp.gnu.org/pub/gnu/%name

Source: %url/%name-%version.tar.bz2

Patch0: ed-0.2-alt-error.patch
Patch1: ed-0.2-deb-makefile.patch
Patch2: ed-0.2-deb-parentheses.patch
Patch3: ed-0.2-alt-tmp.patch
Patch4: ed-0.2-alt-progname.patch
Patch5: ed-0.2-deb-man.patch
Patch6: ed-0.2-alt-texinfo.patch

Requires(post,preun): %__install_info

%def_with check

%description
ed is a line-oriented text editor, used to create, display, and
modify text files (both interactively and via shell scripts).
For most purposes, ed has been replaced in normal usage by
full-screen editors such as vi and emacs.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

chmod -R u+w .

%build
aclocal
autoheader
autoconf
%define _bindir	/bin
# Disable rscid information.
%add_optflags -Dlint
# glibc does have sigsetjmp, it's just a macro, which confuses autoconf.
export ac_cv_func_sigsetjmp=yes
%configure

%make_build
%{?_with_check:make check}

%install
%makeinstall mandir=$RPM_BUILD_ROOT%_man1dir

%post
%install_info %name.info

%preun
%uninstall_info %name.info

%files
%_bindir/*
%_mandir/man?/*
%_infodir/*.info*
%doc NEWS POSIX README THANKS

%changelog
* Sun Sep 01 2002 Dmitry V. Levin <ldv@altlinux.org> 1:0.2-alt2
- Added "alt-error" portability patch (for non-glibc platforms).

* Mon Aug 26 2002 Dmitry V. Levin <ldv@altlinux.org> 1:0.2-alt1
- Minor specfile cleanup; changed release numbering.
- Replaced "security-tempfile" patch with "alt-tmp" patch.
- Fixed program_name initialization.
- Applied fixes for compilation warnings (deb).
- Applied fixes for ed(1) manpage (deb).
- Explicitly build with sigsetjmp.
- Disabled rcsid information.
- Added run of testcase after build.

* Thu Jan 24 2002 Stanislav Ievlev <inger@altlinux.ru> 0.2-ipl23mdk
- patch #3

* Thu Nov 30 2000 Dmitry V. Levin <ldv@fandra.org> 0.2-ipl22mdk
- Fixed texinfo documentation.

* Mon Nov 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2-22mdk
- Optimisations.
- Add security patch for tempfile open.

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2-21mdk
- fix bad script

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2-20mdk
- minor fix

* Tue Jul 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.2-19mdk
- macroszifications
- BM
* Wed Jun 07 2000 Etienne Faure <etienne@mandrakesoft.com> 0.2-18mdk
- rebuild on kenobi

* Thu Apr 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2-17mdk
- Clean-up specs.
- * Sun Apr 23 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- let the spechelper handle compressing man / info pages

* Wed Mar 22 2000 Daouda Lo <daouda@mandrakesoft.com> 0.2-16mdk
- move to Text tools group

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add defattr

* Wed May 19 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- fix typo in %preun
- fix download URL

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added install-info support
- added BuildRoot
- correct URL in Source line

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
